Mcp Create Hook
POST
HTTPBearerheader
AuthorizationBearer <token>owner_node_id*Owner Node Idapplication/json- body
enabled?EnabledDefault
truename*Namererun_policy?Rerun PolicyDefault
"if_inputs_changed"scope?ScopeDefault
"self"Value in
"self""subtree""graph"workflow_yaml*Workflow YamlSuccessful Response
application/json- response
hook*[key: string]?anyExample Request
curl -X POST 'https://flywheel.paradigma.inc/api/v1/nodes/string/hooks' \ -H 'Content-Type: application/json' \ -d '{ "name": "string", "workflow_yaml": "string"}'Example Response
{ "hook": { "action_config": {}, "action_type": "string", "created_at": "string", "enabled": true, "hook_id": "string", "name": "string", "owner_node_id": "string", "rerun_policy": "if_inputs_changed", "scope": "self", "trigger_event": "artifact.finalized", "trigger_events": [ "artifact.finalized" ], "updated_at": "string", "workflow": {}, "workflow_yaml": "string" }}